%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           pipviewer
Version:        0.3.9
Release:        7%{?dist}
Summary:        Visualizer for multiple alignments of genomic sequences

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://ygingras.net/bioinfo
Source0:        http://ygingras.net/files/%{name}-%{version}.tar.gz
#Source1:        %{name}.desktop
#Source2:        %{name}.png
Patch0:         %{name}-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
#BuildRequires:  desktop-file-utils

Requires:       PyQt
Requires:       pygtk2
Requires:       PyOpenGL
Requires:       vhybridize >= 0.5.9


%description
Pipviewer is a visualizer for multiple alignements of genomic
sequences. It highlights conserved regions and allows basic
anotations. Its main goal is to find conserved probes for the
construction of gene order data sets.  Selected regions marked as
'probes' can be expoxted to fasta format. It can also retreive gene
annotations form the NBCI and display this information along the
alignement.

Pipviewer is not an aligner. You must compute the alignment with
another tool like Clustal or Multi PIP Maker. 


%prep
%setup -q


%build
python ./setup.py build


%install
rm -rf %{buildroot}
python ./setup.py install --skip-build --root %{buildroot}
#desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
#install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
#remove shebang
for file in \
    %{buildroot}%{python_sitelib}/%{name}/{SpeciesGenomesDialog.py,utils.py,ProbesListDialog.py} \
    %{buildroot}%{python_sitelib}/%{name}/{probeAlign.py,ViewerWidget.py,viewer_app.py,pselfiles.py}   \
    %{buildroot}%{python_sitelib}/%{name}/scripts/pippacker.py; do
    sed -i -e '/^#!\//, 1d' $file
done
sed -i 's|OpenGL>=2.0|PyOpenGL>2.0|g' %{buildroot}%{python_sitelib}/pipviewer-0.3.9-py2.6.egg-info/requires.txt

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt docs/ examples/
%{_bindir}/%{name}
%{_bindir}/pippacker
#%{_datadir}/applications/%{name}.desktop
#%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sat Jun 19 2010 Fabian Affolter <fabian@bernewireless.net> - 0.3.9-7
- Fixed BZ # 579521

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.9-5
- Merge Release 4 and #481508

* Fri Feb 27 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.9-4
- GUI stuff disabled because the application needs a file for the start 

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.9-2
- Fixed buildroot tag
- Changed license to GPLv3+

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.9-1
- Initial package for Fedora
